:root {
	--sidebar-width: 280px;
	--mainpannel-height: 312px;
	--mainpannel-height-fs: 82px;
	--bottompanel-height: 230px;
}

::-ms-reveal {
	display: none;
}

body[data-theme="light"] {
	--patientsbar-background: white;
	--patientsbar-bordercolor: #C0C0C0;
	--patientsbar-textcolor: black;
	--patientsbar-card-background: #F8F9FA;
	--patientsbar-card-bordercolor: #CCCDCE;
	--patientsbar-card-textcolor: black;
	--patientsbar-card-hover-background: #CFE2FF;
	--patientsbar-card-hover-bordercolor: #CCCDCE;
	--patientsbar-card-hover-textcolor: black;
	--patientsbar-card-select-background: #CFE2FF;
	--patientsbar-card-select-bordercolor: #0D6EFD;
	--patientsbar-card-select-textcolor: black;
}

body[data-theme="dark_classic"] {
	--patientsbar-background: #343A40;
	--patientsbar-bordercolor: #343A40;
	--patientsbar-textcolor: white;
	--patientsbar-card-background: #52575C;
	--patientsbar-card-bordercolor: #52575C;
	--patientsbar-card-textcolor: white;
	--patientsbar-card-hover-background: #CFE2FF;
	--patientsbar-card-hover-bordercolor: #52575C;
	--patientsbar-card-hover-textcolor: black;
	--patientsbar-card-select-background: #CFE2FF;
	--patientsbar-card-select-bordercolor: #0D6EFD;
	--patientsbar-card-select-textcolor: black;
}

body[data-theme="dark_modern"] {
	--patientsbar-background: #0B1220;
	--patientsbar-bordercolor: #0B1220;
	--patientsbar-textcolor: white;
	--patientsbar-card-background: #162237;
	--patientsbar-card-bordercolor: #162237;
	--patientsbar-card-textcolor: white;
	--patientsbar-card-hover-background: #173E72;
	--patientsbar-card-hover-bordercolor: #162237;
	--patientsbar-card-hover-textcolor: white;
	--patientsbar-card-select-background: #173E72;
	--patientsbar-card-select-bordercolor: #60A5FA;
	--patientsbar-card-select-textcolor: white;
}

.disabled {
	opacity: 0.5 !important;
	pointer-events: none;
}

.form-control {
	border-color: var(--bs-secondary-border-subtle) !important;
}

.form-control:focus {
	background-color: #FFF8E5 !important;
}

.list-group {
	border-color: var(--bs-secondary-border-subtle) !important;
}

button#toggle-password {
	position: absolute;
	top: 3px;
	right: 4px;
	z-index: 9;
	width: 28px;
	height: 30px;
	background: 0;
	border: 0;
}

button#toggle-password:active,
button#toggle-password:focus,
button#toggle-password:hover {
	cursor: pointer;
}

button#toggle-password:focus {
	outline: none !important;
}

#select-language button {
	border: solid 1px #CCCCCC;
	border-radius: 4px;
	overflow: hidden;
	text-align: left;
	width: 100%;
}

#select-language .dropdown-toggle::after {
	display: none !important;
}

#select-language .caret {
	float: right;
	display: block;
}

#select-language .dropdown-menu {
	cursor: pointer;
	width: 100%;
}

#select-language .dropdown-menu li {
	width: 100%;
}

#select-language .dropdown-menu a {
	color: black;
	display: inline-block;
	text-decoration: none;
	width: 100%;
}

#select-language .dropdown-menu a:hover {
	background-color: transparent;
}

.sidebar {
	background: #343A40;
	flex-basis: var(--sidebar-width);
	flex-grow: 0;
	flex-shrink: 0;
	overflow-x: hidden;
	overflow-y: auto;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
	width: var(--sidebar-width);
}

.sidebar ul {
	display: table;
	table-layout: fixed;
	text-align: left;
	width: 100%;
}

.sidebar li {
	display: table-row;
	width: 100%;
}

.sidebar hr {
	display: table-cell;
	height: 10px;
}

.sidebar i {
	display: table-cell;
	text-align: center;
	width: 40px;
}

.sidebar a {
	display: table-cell;
	padding-left: 10px;
	text-align: left;
}

.sidebar a:hover {
	background-color: #52575C;
}

.sidebar .colspan {
	display: block;
}

.dropdown-menu li {
	position: relative;
}

.dropdown-menu .dropdown-submenu {
	display: none;
	left: 100%;
	position: absolute;
	top: -7px;
}
.dropdown-menu .dropdown-submenu-left {
	right: 100%;
	left: auto;
}

.dropdown-menu > li:hover > .dropdown-submenu {
	display: block;
}

.dropdown-menu a:hover {
	background-color: #52575C;
	color: var(--bs-light);
}

.popover {
	background: #343A40;
	border: 1px solid;
	border-color: var(--bs-secondary);
	border-radius: .375rem;
	box-shadow: var(--bs-box-shadow-sm);
	color: var(--bs-light);
	font-family: var(--bs-font-family-base);
	font-size: var(--bs-font-size-base);
	left: -7px !important;
	line-height: 2;
}

.popover .popover-arrow {
	display: none;
}

.popover .popover-body {
	padding-bottom: 8px;
	padding-left: 0px;
	padding-right: 0px;
	padding-top: 8px;
}

.popover a {
	min-width: 180px;
	padding-left: 20px;
	padding-right: 20px;
}

.popover a:hover {
	background-color: #52575C;
}

label.borderless {
	border-bottom: 0 none;
	border-left: 0 none;
	border-right: 0 none;
	border-top: 0 none;
}

#notifications-bar {
	background: #FFF3CD;
	display: none;
	left: 0px;
	padding: 15px;
	position: fixed;
	top: 0px; 
	width: 100%;
	z-index: 999;
}

#navbarDropdown:hover {
	background-color: #CFE2FF;
	border-radius: 10px;
}

#patientsbar {
	background: var(--patientsbar-background);
	border-bottom: solid 1px var(--patientsbar-bordercolor);
	border-top: solid 1px #C0C0C0;
	height: calc(100vh - var(--mainpannel-height));
	width: var(--sidebar-width);
}

#patientsbar #patients-header {
	width: var(--sidebar-width);
}

#patientsbar #patients-header label {
	background: var(--patientsbar-background);
	color: var(--patientsbar-textcolor);
}

#patientsbar #patients-header #patients-count {
	float: right;
	height: 24px;
	margin-right: 0px;
	margin-top: 16px;
	z-index: 1;
}

#patientsbar #patients-header #patients-menu {
	color: var(--patientsbar-textcolor) !important;
	float: right;
	height: 20px;
	margin-right: 20px;
	margin-top: 10px;
	padding: 0px;
	width: 20px;
	z-index: 1;
}

#patientsbar #patients-header #patients-menu button {
	border: 0px;
	color: var(--patientsbar-textcolor) !important;
}

#patientsbar #patients-header #patients-menu .dropdown-toggle::after {
	display: none !important;
}

#patientsbar #patients-header #patients-menu .dropdown-menu {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.6);
	color: var(--patientsbar-textcolor) !important;
	cursor: pointer;
	padding: 0px;
}

#patientsbar #patients-header #patients-menu .dropdown-menu li {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
	padding: 0px;
}

#patientsbar #patients-header #patients-menu .dropdown-header {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
}

#patientsbar #patients-header #patients-menu .dropdown-menu a {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
	display: inline-block;
	padding-bottom: 5px;
	padding-left: 20px;
	padding-right: 20px;
	padding-top: 5px;
	text-decoration: none;
	width: 100%;
}

#patientsbar #patients-header #patients-menu .dropdown-menu a:hover {
	background-color: var(--patientsbar-card-hover-background) !important;
	color: var(--patientsbar-card-hover-textcolor) !important;
	width: 100%;
}

#patientsbar #search-icon {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
}

#patientsbar #search-text {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
}

#patientsbar #search-text::placeholder {
	color: var(--patientsbar-textcolor) !important;
}

#patientsbar #search-text:focus {
	background: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	color: var(--patientsbar-textcolor) !important;
	box-shadow: none !important;
	outline: none !important;
}

#patientsbar #patients-container {
	height: calc(100vh - var(--mainpannel-height));
	overflow-x: hidden;
	overflow-y: auto;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
	width: var(--sidebar-width);
}

#patientsbar #patients-table {
	background: var(--patientsbar-background);
	color: var(--patientsbar-textcolor);
	margin-bottom: -16px;
	margin-top: -26px;
}

#patientsbar table.dataTable table {
	background: inherit;
	border: none !important;
	border-bottom-width: 0px !important;
	color: inherit;
}

#patientsbar table.dataTable td {
	background: inherit;
	border-bottom-width: 0px !important;
	color: inherit;
	padding-bottom: 3px;
}

#patientsbar table.dataTable tr {
	background: inherit;
	border-bottom-width: 0px !important;
	color: inherit;
	padding-bottom: 3px;
}

#patientsbar #patients-table_info {
	display: none;
}

#patientsbar .card {
	background-color: var(--patientsbar-card-background) !important;
	border-color: var(--patientsbar-card-bordercolor) !important;
	border-radius: 10px;
	color: var(--patientsbar-card-textcolor);
	height: 80px;
	padding: 6px;
	width: 250px;
}

#patientsbar .card:hover {
	background-color: var(--patientsbar-card-hover-background) !important;
	border-color: var(--patientsbar-card-hover-bordercolor) !important;
	color: var(--patientsbar-card-hover-textcolor) !important;
}

#patientsbar table.dataTable tbody tr.selected {
	box-shadow: none !important;
}

#patientsbar table.dataTable tbody tr.selected td {
	box-shadow: none !important;
}

#patientsbar table.dataTable tbody tr.selected .card {
	background-color: var(--patientsbar-card-select-background) !important;
	border-color: var(--patientsbar-card-select-bordercolor) !important;
	border-style: solid 2px;
	border-left: solid 6px;
	color: var(--patientsbar-card-select-textcolor) !important;
	padding-left: 1px;
}

#patientsbar .card .vibrate {
	background-color: #DC3545;
	border-color: #DC3545;
	border-radius: 6px;
	border-style: solid 2px;
	color: white;
	font-weight: bold;
	text-align: center;
	transform: scale(0.75);
	box-shadow: 0 0 0 rgba(0, 0, 0, 1);
	animation: anim-vibrate 2s infinite;
	margin-left: auto;
	margin-right: auto;
	width: 140px;
	position: relative;
	z-index: 99;
}

#patientsbar .card .vibrate a {
	color: white;
	cursor: pointer;
	text-decoration: none;
}

@keyframes anim-vibrate {
	0% {
		transform: scale(0.75);
		box-shadow: 0 0 0 0 rgba(252, 3, 3, 0.7);
	}
	70% {
		transform: scale(0.90);
		box-shadow: 0 0 0 0.6rem rgba(0, 0, 0, 0);
	}
	100% {
		transform: scale(0.75);
		box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
	}
}

#patientsbar .card #photo {
	align-items: center;
	background-color: inherit;
	color: inherit;
	padding-left: 6px;
	padding-top: 8px;
	vertical-align: top;
}

#patientsbar .card #photo .smallphoto {
	height: 48px;
	width: 48px;
}

#patientsbar .card #user {
	background-color: inherit;
	color: inherit;
	overflow-x: hidden;
	padding-left: 0px;
	padding-top: 6px;
	vertical-align: top;
	max-width: 140px;
}

#patientsbar .card #actions {
	background-color: inherit;
	color: inherit;
	padding-top: 6px;
	padding-left: 6px;
	width: 32px;
}

#patientsbar .card #actions a {
	color: var(--patientsbar-card-textcolor) !important;
	text-decoration: none !important;
}

#patientsbar .card:hover #actions a {
	color: var(--patientsbar-card-hover-textcolor) !important;
	text-decoration: none !important;
}

#patientsbar table.dataTable tbody tr.selected .card #actions a {
	color: var(--patientsbar-card-select-textcolor) !important;
	text-decoration: none !important;
}

#patientsbar .view-link {
	cursor: pointer;
	height: 100%;
	left: 0;
	position: absolute;
	top: 0;
	width: 100%;
	z-index: 2;
}

#patientsbar .phone-link {
	cursor: pointer;
	position: relative;
	z-index: 3;
}

#patientsbar .card [id$="-devices"] {
	background-color: inherit;
	color: inherit;
	display: inline-block;
	position: relative;
	z-index: 1;
}

body[data-theme="dark_classic"] #patientsbar .card [id$="-devices"] img {
	filter: invert(100%);
	-webkit-filter: invert(100%);
}

body[data-theme="dark_classic"] #patientsbar .card:hover [id$="-devices"] img {
	filter: none;
	-webkit-filter: none;
}

body[data-theme="dark_classic"] #patientsbar table.dataTable tbody tr.selected .card [id$="-devices"] img {
	filter: none;
	-webkit-filter: none;
}

body[data-theme="dark_modern"] #patientsbar .card [id$="-devices"] img {
	filter: invert(100%);
	-webkit-filter: invert(100%);
}

body[data-theme="dark_modern"] #patientsbar .card:hover [id$="-devices"] img {
	filter: invert(100%);
	-webkit-filter: invert(100%);
}

body[data-theme="dark_modern"] #patientsbar table.dataTable tbody tr.selected .card [id$="-devices"] img {
	filter: invert(100%);
	-webkit-filter: invert(100%);
}

#patientsbar #callsinfo {
	background: var(--patientsbar-background);
	bottom: 0px;
	height: var(--bottompanel-height);
	left: 0px;
	position: absolute;
	width: var(--sidebar-width);
}

#patientsbar #calls-header {
	width: var(--sidebar-width);
}

#patientsbar #calls-header label {
	background: var(--patientsbar-background);
	color: var(--patientsbar-textcolor);
}

#patientsbar #calls-container {
	height: calc(var(--bottompanel-height) - 48px);
	overflow-x: hidden;
	overflow-y: auto;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
	width: var(--sidebar-width);
}

#patientsbar #calls-table {
	background: var(--patientsbar-background);
	color: var(--patientsbar-textcolor);
	margin-bottom: -16px;
	margin-left: 10px;
	margin-top: -20px;
	width: cal(var(--sidebar-width) - 20px) !important;
}

#patientsbar #calls-table_info {
	display: none;
}

#patientsbar #calls-table .dt-column-title {
	font-size: .75em;
	padding-bottom: 3px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 3px;
}

#patientsbar #calls-table thead th {
	padding-bottom: 3px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 3px;
}

#patientsbar #calls-table tbody td {
	font-size: .75em;
	padding-bottom: 3px;
	padding-left: 3px;
	padding-right: 3px;
	padding-top: 3px;
}

#patientsbar #calls-table tbody .dt-time {
	background: inherit;
	color: inherit;
	width: 50px;
}

#patientsbar #calls-table tbody .dt-status {
	background: inherit;
	color: inherit;
	width: 70px;
}

#patientsbar #calls-table tbody .dt-name {
	background: inherit;
	color: inherit;
	width: 140px;
}

#welcomeinfo {
	border-left: solid 1px #C0C0C0;
	border-bottom: solid 1px #C0C0C0;
	border-right: solid 1px #C0C0C0;
	border-top: solid 1px #C0C0C0;
	display: grid;
	height: calc(100vh - var(--mainpannel-height-fs));
  	place-items: center;
	text-align: center;
}

#welcomeinfo #welcome-tip {
	position: absolute;
	left: calc(var(--sidebar-width) + 20px);
	max-width: 400px;
	top: calc(var(--mainpannel-height-fs) + 20px);
}

#welcomeinfo #welcome-tip i {
	animation: blinker 1s linear infinite;
}

@keyframes blinker {
	50% {
		opacity: 0;
  	}
}

#welcomeinfo #btnPatients {
	border-color: #CCCDCE;
	height: 70px;
	margin-right: 20px;
	overflow: hidden;
	padding: 0px 6px 6px 70px;
	position: relative;
	white-space: normal;
	width: 240px;
}

#welcomeinfo #btnPatients:before {
	display: inline-block;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	font: var(--fa-font-solid);
	font-size: 2.2em;
	content: '\e1b0';
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
	width: 50px;
}

#welcomeinfo #btnPatients:hover {
	background-color: transparent;
}

#welcomeinfo #btnNotifications {
	border-color: #CCCDCE;
	height: 70px;
	overflow: hidden;
	padding: 0px 6px 6px 70px;
	position: relative;
	white-space: normal;
	width: 240px;
}

#welcomeinfo #btnNotifications:before {
	display: inline-block;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	font: var(--fa-font-solid);
	font-size: 2.2em;
	content: '\f0f3';
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
	width: 50px;
}

#welcomeinfo #btnNotifications:hover {
	background-color: transparent;
}

#patientsinfo {
	border-left: solid 1px #C0C0C0;
	border-bottom: solid 1px #C0C0C0;
	border-right: solid 1px #C0C0C0;
	border-top: solid 1px #C0C0C0;
	height: calc(100vh - var(--mainpannel-height));
	overflow-x: hidden;
	overflow-y: auto;	
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#patientsinfo .details {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 20px;
}

#callscreen {
	background: black;
	border-bottom: solid 1px #C0C0C0;
	border-right: solid 1px #C0C0C0;
	border-top: solid 1px #C0C0C0;
	height: calc(100vh - var(--mainpannel-height));
	overflow-x: hidden;
	overflow-y: hidden;
	position: relative;
}

#additionalinfo {
	border-bottom: solid 1px #C0C0C0;
	border-right: solid 1px #C0C0C0;
	border-top: solid 1px #C0C0C0;
	height: calc(100vh - var(--mainpannel-height));
	padding: 0px;
	position: relative;
}

#tasksinfo {
	height: -moz-calc(100% - 42px);
	height: -webkit-calc(100% - 42px);
	height: calc(100% - 42px);
	overflow-x: hidden;
	overflow-y: auto;	
	padding: 10px;
	position: absolute;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#tasksinfo .details {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 10px;
}

#tasksinfo .details .card {
	background-color: white !important;
	border-color: #C0C0C0 !important;
	color: black !important;
	margin-bottom: 20px;
}

#tasksinfo .details .card .caret {
	float: right;
	display: block;
}

#tasksinfo #scroll-tasks {
	display: none;
	position: sticky;
	bottom: 38px;
	height: 0px;
	right: 0px;
	z-index: 1;
}

#tasksinfo #scroll-tasks a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#historyinfo {
	height: -moz-calc(100% - 42px);
	height: -webkit-calc(100% - 42px);
	height: calc(100% - 42px);
	overflow-x: hidden;
	overflow-y: auto;	
	padding: 10px;
	position: absolute;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#historyinfo .details {
	padding-left: 20px;
	padding-right: 10px;
	padding-top: 10px;
}

#historyinfo .details .timeline {
	margin: 0px auto;
}

#historyinfo .details .outer {
	border-left: 4px solid #CED4DA;
	position: relative;
}

#historyinfo .details .outer .hideborder {
	background: #F8FAFC;
	left: -4px;
	height: 16px;
	position: absolute;
	top: 0px;
	width: 4px;
	z-index: 1;
}

#historyinfo .details .timeline .card {
	background-color: white !important;
	border-color: #C0C0C0 !important;
	color: black !important;
	margin: 0 0 20px 26px;
	max-width: 400px;
	padding-bottom: 10px;
	padding-left: 20px;
	padding-right: 20px;
	position: relative;
}

#historyinfo .details .timeline .info {
	display: flex;
	flex-direction: column;
	gap: 0px;
}

#historyinfo .details .timeline .title {
	color: #0D6EFD;
	position: relative;
}

#historyinfo .details .timeline .title::before {
	background: white;
	border: 4px solid #0D6EFD;
	border-radius: 999px;
	color: #0D6EFD;
	content: " ";
	font-size: 14px;
	font-weight: bold;
	height: 28px;
	left: -63px;
	margin-top: 15px;
	position: absolute;
	text-align: center;
	width: 28px;
}

#historyinfo .details .timeline .complete {
	color: #0D6EFD;
	position: relative;
}

#historyinfo .details .timeline .complete::before {
	background: #28A745;
	border: 4px solid #28A745;
	border-radius: 999px;
	color: white;
	content: "\2714";
	font-size: 14px;
	font-weight: bold;
	height: 28px;
	left: -63px;
	margin-top: 15px;
	position: absolute;
	text-align: center;
	width: 28px;
}

#historyinfo .details .timeline .arrow::before {
	border: medium solid #CED4DA;
	border-color: transparent #CED4DA transparent transparent;
	border-width: 10px 10px 10px 0;
	content: " ";
	height: 0;
	left: -10px;
	position: absolute;
	top: 20px;
	width: 0;
	z-index: 1;
}

#historyinfo #add-history {
	position: sticky;
	height: 36px;
	right: 0px;
	top: 0px;
	z-index: 1;
}

#historyinfo #add-history a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#historyinfo #add-history .hidden-info {
	display: none;
}

#historyinfo #add-history a:hover .hidden-info {
	display: inline-block;
}

#historyinfo #scroll-history {
	display: none;
	position: sticky;
	bottom: 38px;
	height: 0px;
	right: 0px;
	z-index: 1;
}

#historyinfo #scroll-history a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#notesinfo {
	height: -moz-calc(100% - 42px);
	height: -webkit-calc(100% - 42px);
	height: calc(100% - 42px);
	overflow-x: hidden;
	overflow-y: auto;	
	padding: 10px;
	position: absolute;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#notesinfo .details {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 10px;
}

#notesinfo .details .card {
	background-color: #FCF3EA !important;
	border-color: #C0C0C0 !important;
	color: black !important;
	margin-bottom: 20px;
	padding: 20px;
}

#notesinfo #add-notes {
	position: sticky;
	height: 36px;
	right: 0px;
	top: 0px;
	z-index: 1;
}

#notesinfo #add-notes a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#notesinfo #add-notes .hidden-info {
	display: none;
}

#notesinfo #add-notes a:hover .hidden-info {
	display: inline-block;
}

#notesinfo #scroll-notes {
	display: none;
	position: sticky;
	bottom: 38px;
	height: 0px;
	right: 0px;
	z-index: 1;
}

#notesinfo #scroll-notes a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#photosinfo {
	height: -moz-calc(100% - 42px);
	height: -webkit-calc(100% - 42px);
	height: calc(100% - 42px);
	overflow-x: hidden;
	overflow-y: auto;	
	padding: 10px;
	position: absolute;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#photosinfo .details {
	padding-left: 10px;
	padding-right: 10px;
	padding-top: 10px;
}

#photosinfo .details .card {
	background-color: white !important;
	border-color: #C0C0C0 !important;
	color: black !important;
	margin-bottom: 20px;
	padding: 20px;
}

#photosinfo #scroll-photos {
	display: none;
	position: sticky;
	bottom: 38px;
	height: 0px;
	right: 0px;
	z-index: 1;
}

#photosinfo #scroll-photos a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#prescriptionsinfo {
	border-left: solid 1px #C0C0C0;
	height: var(--bottompanel-height);
	overflow-x: auto;
	overflow-y: auto;
	padding-bottom: 10px;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
}

#prescriptionsinfo .details {
	padding-bottom: 0px;
	padding-left: 10px;
	padding-right: 50px;
	padding-top: 20px;
}

#prescriptionsinfo .details .card {
	background-color: white !important;
	border-color: #C0C0C0 !important;
	color: black !important;
}

#prescriptionsinfo #add-prescriptions {
	position: sticky;
	height: 0px;
	margin-right: -2px;
	right: 0px;
	top: 10px;
	z-index: 1;
}

#prescriptionsinfo #add-prescriptions a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#prescriptionsinfo #add-prescriptions .hidden-info {
	display: none;
}

#prescriptionsinfo #add-prescriptions a:hover .hidden-info {
	display: inline-block;
}

#prescriptionsinfo #scroll-prescriptions {
	display: none;
	position: sticky;
	bottom: 38px;
	height: 0px;
	margin-right: -2px;
	right: 0px;
	z-index: 1;
}

#prescriptionsinfo #scroll-prescriptions a {
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.4);
	min-width: 40px;
}

#calldialog #user-image {
	animation: pulse 1.5s infinite linear;
	background: white;
	box-shadow: 0 0 0 0 #0004;
	height: 256px;
	position: relative;
	width: 256px;

 }

#calldialog #user-image:before,
#calldialog #user-image:after {
	animation: inherit;
	animation-delay: -0.5s;
	border-radius: inherit;
	box-shadow: 0 0 0 0 #0004;
	content: "";
	inset: 0;
	position: absolute;
}

#calldialog #user-image:after {
	animation-delay: -1s;
}

@keyframes pulse {
	100% {box-shadow: 0 0 0 40px #0000}
}

#calldialog #card-header,
#calldialog #card-image,
#calldialog #card-info,
#calldialog #card-buttons {
	display: flex;
	justify-content: center;
	align-items: center;
}

#btnElapsedTimer {
	border-color: #CCCDCE;
	cursor: default;
	height: 70px;
	overflow: hidden;
	padding: 0px 6px 6px 70px;
	position: relative;
	white-space: normal;
	width: 200px;
}

#btnElapsedTimer:before {
	display: inline-block;
	text-rendering: auto;
	-webkit-font-smoothing: antialiased;
	font: var(--fa-font-regular);
	font-size: 2.2em;
	content: '\f017';
	color: #0D6EFD;
	position: absolute;
	left: 10px;
	top: 50%;
	transform: translateY(-50%);
	width: 50px;
}

#btnElapsedTimer:hover {
	background-color: transparent;
}

.mainphoto {
	border: solid 1px #0094FF;
	height: 200px;
	margin: 10px;
	padding: 5px;
	width: 200px;
}

.photos {
	border: solid 1px #0094FF;
	height: 200px;
	margin: 10px;
	padding: 5px;
	width: 200px;
}

.smallphoto {
	border: none;
	height: 32px;
	width: auto;
}

.mediumphoto {
	border: none;
	height: 96px;
	width: auto;
}

.icon {
	border: none;
	height: 24px;
	width: 24px;
}

.dt-ellipsis {
	max-width: 100%;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

th.dt-type-date, td.dt-type-date {
	text-align: center !important;
}

.dt-container .dt-layout-full > :only-child {
	width: 100% !important;
}

thead, tbody, tfoot, tr, td, th {
	border-top: none !important;
}

thead, th {
	border: 1px solid #ADAFB0 !important;
	background-color: #F8F8F8 !important;
	color: black !important;
	font-weight: bold !important;
}

.card {
	background-color: white !important;
}

.card-body row {
	background-color: white !important;
}

.action_btn {
	cursor: pointer;
}

.btn-light {
	color: black !important;
}

.modal {
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.4);
	display: none;
	height: 100%;
	left: 0;
	overflow: hidden;
	padding: 100px;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 999;
}

.modal-right {
	background-color: rgb(0,0,0);
	background-color: rgba(0,0,0,0.4);
	display: none;
	height: 100%;
	left: 0;
	overflow-x: hidden;
	overflow-y: auto;
	padding: 100px;
	position: fixed;
	top: 0;
	width: 100%;
	z-index: 998;
}

.modal-content {
	background-color: #F8FAFC;
	border: 1px solid #888;
	bottom: 'auto';
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
	left: auto;
	margin: auto;
	padding: 20px;
	right: 'auto';
	top: auto;
	transform: 'translate(-50%,-50%)';
	width: 480px;
}

.modal-content-right {
	-webkit-animation-name: animateright;
	-webkit-animation-duration: 1s;
	animation-name: animateright;
	animation-duration: 1s;
	background-color: #F8FAFC;
	border: 1px solid #888;
	box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2),0 6px 20px 0 rgba(0,0,0,0.19);
	height: 100vh;
	padding: 20px;
	position: absolute;
	right: 0px;
	top: 0px;
	width: 50vw;
}

@-webkit-keyframes animateright {
	from {right: -50vw; opacity: 1;};
  	to {right: 0; opacity: 1;};
}

@keyframes animateright {
	from {right: -50vw; opacity: 1;};
  	to {right: 0; opacity: 1;};
}

.main-button {
	height: 44px;
	margin-right: 12px;
	width: 44px;
}

.call-button-blue, .call-button-blue:hover {
	background: #00B7F5;
	border-color: #00B7F5;
	cursor: pointer;
	text-decoration: none;
}

.call-button-green, .call-button-green:hover {
	background: #4DB858;
	border-color: #4DB858;
	cursor: pointer;
	text-decoration: none;
}

.call-button-red, .call-button-red:hover {
	background: #F61C24;
	border-color: #F61C24;
	cursor: pointer;
	text-decoration: none;
}

.call-button-white, .call-button-white:hover {
	background: white;
	border-color: black;
	cursor: pointer;
	text-decoration: none;
}

.call-image-black {
	height: 24px;
	width: 24px;
}

.call-image-white {
	filter: invert(100%);
	height: 24px;
	width: 24px;
	-webkit-filter: invert(100%);
}

.small-button {
	height: 32px;
	margin-right: 6px;
	width: 32px;
}

.sm-call-image-black {
	height: 16px;
	margin-left: -5px;
	margin-top: -8px;
	width: 16px;
}

.sm-call-image-red {
	filter: invert(19%) sepia(78%) saturate(4975%) hue-rotate(349deg) brightness(97%) contrast(98%);
	height: 16px;
	margin-left: -5px;
	margin-top: -8px;
	width: 16px;
	-webkit-filter: invert(19%) sepia(78%) saturate(4975%) hue-rotate(349deg) brightness(97%) contrast(98%);
}

.sm-call-image-white {
	filter: invert(100%);
	height: 16px;
	margin-left: -5px;
	margin-top: -8px;
	width: 16px;
	-webkit-filter: invert(100%);
}

.participants-list {
	background-color: #373737;
	color: white;
	height: 100%;
	overflow-y: scroll;
	position: absolute;
	right: 0;
	scrollbar-gutter: stable;
	scrollbar-width: thin;
	top: 0;
	width: 300px;
}

.participants-header {
	border-bottom: 1px solid #626262;
	font-size: 18px;
	text-align: center;
}

.participant {
	align-items: center;
	border-bottom: 1px solid #626262;
	display: flex;
	height: 70px;
}

.participant-image {
	background-color: white;
	background-position: center;
	background-repeat: no-repeat;
	background-size: contain;
	border: 1px solid #CCC;
	border-radius: 4px;
	height: 48px;
	margin: 0 10px;
	width: 48px;
}

.status-online {
	background-color: lime;
	border-radius: 50%;
	height: 12px;
	margin-right: 8px;
	width: 12px;
}

.status-offline {
	background-color: #626262;
	border-radius: 50%;
	height: 12px;
	margin-right: 8px;
	width: 12px;
}

.modal-content .dropdown button {
	border: solid 1px #CCCCCC;
	border-radius: 4px;
	overflow: hidden;
	text-align: left;
	width: 100%;
}

.modal-content .dropdown-toggle::after {
	display: none !important;
}

.modal-content .caret {
	float: right;
	display: block;
}

.modal-content .dropdown-menu {
	border: solid 1px #A0A0A0;
	border-radius: 4px;
	-webkit-box-shadow: 0 0 1px #A0A0A0, 0 0 1px #A0A0A0;
	box-shadow: 0 0 1px #A0A0A0, 0 0 1px #A0A0A0;
	padding-left: 4px;
	padding-right: 4px;
}

.modal-content .dropdown-menu input[type=checkbox] {
	margin-left: -4px;
	margin-right: 10px;
}

.modal-content .dropdown-menu li:hover {
	background-color: #E0E0E6;
}

.dlg-box {
	font-family: Nunito !important;
	font-size: 11px !important;
	max-width: 480px !important;
}

.dlg-heading {
	font-weight: bold !important;
}

.dlg-icon-question::before,
.dlg-icon-question:before {
	content: "\3f";
	font: var(--fa-font-solid);
}

.fc-toolbar-title {
	text-transform: lowercase;
}

.fc-toolbar-title:first-letter {
	text-transform: uppercase;
}

.fc-col-header-cell {
	border: 1px solid #ADAFB0 !important;
	background-color: #F8F8F8 !important;
}

.fc-col-header-cell-cushion {
	color: black !important;
	font-weight: bold !important;
	text-decoration: none;
	text-transform: lowercase;
}

.fc-col-header-cell-cushion:first-letter {
	text-transform: uppercase;
}

.fc-daygrid-day-number {
	text-decoration: none;
}

.fc-h-event .fc-event-main-frame {
	display: block;
}
